-- 
-- Localisation for MobInfo
--
-- created by Stephan Wilms on the 27th of July 2005
-- last update: 08-Oct-2005
--

--
-- Default / English localization
--



miSkinLoot = { };
miSkinLoot["Ruined Leather Scraps"]=1;
miSkinLoot["Light Leather"]=1;
miSkinLoot["Medium Leather"]=1;
miSkinLoot["Heavy Leather"]=1;
miSkinLoot["Thick Leather"]=1;
miSkinLoot["Rugged Leather"]=1;

miSkinLoot["Light Hide"]=1;
miSkinLoot["Medium Hide"]=1;
miSkinLoot["Heavy Hide"]=1;
miSkinLoot["Thick Hide"]=1;
miSkinLoot["Rugged Hide "]=1; 

miSkinLoot["Chimera Leather"]=1;
miSkinLoot["Devilsaur Leather"]=1;
miSkinLoot["Frostsaber Leather"]=1;
miSkinLoot["Warbear Leather"]=1;

miClothLoot = { };
miClothLoot["Linen Cloth"]=1;
miClothLoot["Wool Cloth"]=1;
miClothLoot["Silk Cloth"]=1;
miClothLoot["Mageweave Cloth"]=1;
miClothLoot["Felcloth"]=1;
miClothLoot["Runecloth"]=1;

MI_DESCRIPTION = "adds information about mobs to the tooltip and adds health/mana info to the target frame";

MI_MOB_DIES_WITH_XP = "(.+) dies, you gain (%d+) experience";
MI_MOB_DIES_WITHOUT_XP = "(.+) dies";
MI_PARSE_SPELL_DMG = "(.+)'s (.+) hits you for (%d+)";
MI_PARSE_BOW_DMG = "(.+)'s (.+) hits you for (%d+)";
MI_PARSE_COMBAT_DMG = "(.+) hits you for (%d+)";
MI_PARSE_SELF_MELEE = "You hit (.+) for (%d+)";
MI_PARSE_SELF_MELEE_CRIT = "You crit (.+) for (%d+)";
MI_PARSE_SELF_SPELL = "Your (.+) hits (.+) for (%d+)";
MI_PARSE_SELF_SPELL_CRIT = "Your (.+) crits (.+) for (%d+)";
MI_PARSE_SELF_BOW = "Your (.+) hits (.+) for (%d+)";
MI_PARSE_SELF_PET = "(.+) hits (.+) for (%d+)";
MI_PARSE_SELF_PET_CRIT = "(.+) crits (.+) for (%d+)";
MI_PARSE_SELF_PET_SPELL = "(.+)'s (.+) hits (.+) for (%d+)";
MI_PARSE_SELF_PET_SPELL_CRIT = "(.+)'s (.+) crits (.+) for (%d+)";
MI_PARSE_SELF_SPELL_PERIODIC = "(.+) suffers (%d+) (.+) damage from your (.+)";

MI_TXT_GOLD   = " Gold";
MI_TXT_SILVER = " Silver";
MI_TXT_COPPER = " Copper";

MI_TXT_CONFIG_TITLE		= "MobInfo 2  Options";
MI_TXT_WELCOME          = "Welcome to MobInfo 2";
MI_TXT_OPEN				= "Open";
MI_TXT_CLASS			= "Class ";
MI_TXT_HEALTH			= "Health ";
MI_TXT_MANA				= "Mana ";
MI_TXT_XP				= "XP ";
MI_TXT_KILLS			= "Kills ";
MI_TXT_DAMAGE			= "Damage + [DPS] ";
MI_TXT_TIMES_LOOTED		= "Times Looted ";
MI_TXT_EMPTY_LOOTS		= "Empty Loots ";
MI_TXT_TO_LEVEL			= "# to level";
MI_TXT_QUALITY			= "Quality ";
MI_TXT_CLOTH_DROP		= "Cloth drops ";
MI_TXT_COIN_DROP		= "Avg Coin Drop ";
MI_TEXT_ITEM_VALUE		= "Avg Item Value ";
MI_TXT_MOB_VALUE		= "Total Mob Value ";
MI_TXT_COMBINED			= "Combined: ";
MI_TXT_MOB_DB_SIZE		= "MobInfo Database Size:  ";
MI_TXT_HEALTH_DB_SIZE	= "Health Database Size:  ";
MI_TXT_PLAYER_DB_SIZE	= "Player Health Database Size:  ";
MI_TXT_CUR_TARGET		= "Current Target:  ";
MI_TXT_MH_DISABLED		= "MobInfo WARNING: Separate MobHealth AddOn found. The internal MobHealth functionality is disabled until the separate MobHealth AddOn is removed.";
MI_TXT_MH_DISABLED2		= (MI_TXT_MH_DISABLED.."\n\n You will NOT loose your data when disabling separate MobHealth.\n\nBenefits: movable health/mana display with percentage support and adjustable font and size");
MI_TXT_CLR_ALL_CONFIRM	= "Do you really want to CLEAR the ENTIRE contents of the MobInfo and MobHealth databases ?";
MI_TXT_SEARCH_LEVEL		= "Mob Level:";
MI_TXT_SEARCH_MOBTYPE	= "Mob Type:";
MI_TXT_SEARCH_LOOTS		= "Mob Looted:";
MI_TXT_SEARCH_MOBNAME	= "Mob Name:";
MI_TXT_SEARCH_RESULTLEN	= "Result List Size:";

MI2_FRAME_TEXTS = {};
MI2_FRAME_TEXTS["MI2_FrmTooltipOptions"]	= "Tooltip Options";
MI2_FRAME_TEXTS["MI2_FrmHealthOptions"]		= "Mob Health Options";
MI2_FRAME_TEXTS["MI2_FrmDatabaseOptions"]	= "Database Options";
MI2_FRAME_TEXTS["MI2_FrmHealthValueOptions"]= "Health Value";
MI2_FRAME_TEXTS["MI2_FrmManaValueOptions"]	= "Mana Value";
MI2_FRAME_TEXTS["MI2_FrmSearchOptions"]		= "Search Options";
MI2_FRAME_TEXTS["MI2_FrmSearchLevel"]		= "Mob Level";

--
-- This section defines all buttons in the options dialog
--   text : the text displayed on the button
--   cmnd : the command which is executed when clicking the button
--          cmnd must not be given for the translated texts
--   help : the (short) one line help text for the button
--   info : additional multi line info text for button
--      	info is displayed in the help tooltip below the "help" line
--      	info is optional and can be omitted if not required
--

MI2_OPTIONS = {};

MI2_OPTIONS["MI2_OptSearchMinLevel"] = 
	{ text = "Min"; cmnd = "";  help = "minimum mob level for search options"; }
MI2_OPTIONS["MI2_OptSearchMaxLevel"] = 
	{ text = "Max"; cmnd = "";  help = "maximum mob level for search options (must be < 66)"; }
MI2_OPTIONS["MI2_OptSearchNormal"] = 
	{ text = "Normal"; cmnd = "";  help = "include Normal type mobs in search result"; }
MI2_OPTIONS["MI2_OptSearchElite"] = 
	{ text = "Elite"; cmnd = "";  help = "include Elite type mobs in search result"; }
MI2_OPTIONS["MI2_OptSearchBoss"] = 
	{ text = "Boss"; cmnd = "";  help = "include Boss type mobs in search result"; }
MI2_OPTIONS["MI2_OptSearchMinLoots"] = 
	{ text = "Min"; cmnd = "";  help = "minimum number of times the Mob must have been looted"; }
MI2_OPTIONS["MI2_OptSearchMobName"] = 
	{ text = ""; cmnd = "";  help = "partial or complete mob name to search for";
	info = 'leave empty to search for all mob names'; }
MI2_OPTIONS["MI2_OptSearchResultLen"] = 
	{ text = ""; cmnd = "";  help = "number of mobs to list as search result"; }
MI2_OPTIONS["MI2_OptSearchByValue"] = 
	{ text = "Search Mob By Value"; cmnd = "searchbyvalue";  help = "Search for the 12 highest ranking Mobs";
	info = 'Mob ranking is total Mob value plus bonus points for rare loot items.\n"r"=ranking, "v"= mob total value, "q"=loot item quality count'; }

MI2_OPTIONS["MI2_OptCompactMode"] = 
	{ text = "Compact Tooltip Mode"; cmnd = "compactmode";  help = "Enables a compact tooltip layout with 2 values per tooltip line";
	info = "Compact tooltip uses short abbreviated texts for the tooltip desriptions.\nTo disable a tolltip line both entries on that line must be disabled." }

MI2_OPTIONS["MI2_OptDisableMobInfo"] = 
	{ text = "Disable Mob Tooltip"; cmnd = "disablemobinfo";  help = "Disable mob data gathering for the tooltip and displaying it in the tooltip";
	info = "Note that this does NOT disable gathering Mob Health data or displaying\nit in the target frame. Mob Health data is controlled by its own options page." }

MI2_OPTIONS["MI2_OptShowClass"] = 
	{ text = "Show Class"; cmnd = "showclass";  help = "Show Mob class info"; }

MI2_OPTIONS["MI2_OptShowHealth"] = 
	{ text = "Show Health"; cmnd = "showhealth";  help = "Show Mob health info (current/max)"; }

MI2_OPTIONS["MI2_OptShowMana"] = 
	{ text = "Show Mana"; cmnd = "showmana";  help = "Show Mob mana/rage/energy info (current/max)"; }

MI2_OPTIONS["MI2_OptShowDamage"] = 
	{ text = "Show Damage / DPS"; cmnd = "showdamage";  help = "Show Mob damage range (Min/Max) and DPS (damage per second)"; 
	info = "Damage range and DPS is calculated and storedseparately per char.\nDPS updates slowly but progressively with each fight." }

MI2_OPTIONS["MI2_OptShowCombined"] = 
	{ text = "Show Combined Info"; cmnd = "showcombined";  help = "Show combined mode message in tooltip";
	info = "Show a mesage in the tooltip indicating that combined mode\nis active and listing all mob levels that have been combined\ninto one tooltip." }

MI2_OPTIONS["MI2_OptShowKills"] = 
	{ text = "Show Kills"; cmnd = "showkills";  help = "Show number of times you killed the Mob";
	info = "The kill count is calculated and stored\nseparately per char." }

MI2_OPTIONS["MI2_OptShowLoots"] = 
	{ text = "Show Total Looted"; cmnd = "showloots";  help = "Show number of times a Mob has been looted"; }

MI2_OPTIONS["MI2_OptShowEmpty"] = 
	{ text = "Show Empty Loots"; cmnd = "showempty";  help = "Show number of empty corpses found (num/percent)";
	info = "This counter gets incremented when you open\n a corpse that has no loot." }

MI2_OPTIONS["MI2_OptShowXp"] = 
	{ text = "Show XP"; cmnd = "showxp";  help = "Show number of experience points this Mob gives";
	info = "This is the actual last XP value that the Mob \ngave you. \n(not shown for Mobs that are grey to you)" }

MI2_OPTIONS["MI2_OptShowNo2lev"] = 
	{ text = "Show Number to Level"; cmnd = "showno2lev";  help = "Show number of kills needed to level";
	info = "This tells you how often you must kill the \nsame Mob you just killed to reach the next level\n(not shown for Mobs that are grey to you)" }
      
MI2_OPTIONS["MI2_OptShowQuality"] = 
	{ text = "Show Loot Quality"; cmnd = "showquality";  help = "Show loot quality counters and percentage";
	info = "This counts how many items out of the 5 rarity categories\nthe Mob has given as loot. Categories with 0 drops dont\nget shown. The percentage is the persent chance to get\nan item of the specific rarety from the monster as loot." }

MI2_OPTIONS["MI2_OptShowCloth"] = 
	{ text = "Show Cloth Pickups"; cmnd = "showcloth";  help = "Show how often the Mob has given cloth loot"; }

MI2_OPTIONS["MI2_OptShowCoin"] = 
	{ text = "Show Avg. Coin Drop"; cmnd = "showcoin";  help = "Show average coin drop per Mob";
	info = "The total coin value is accumulated and divided\nby the looted counter.\n(does not get shown if coin count is 0)" }

MI2_OPTIONS["MI2_OptShowIV"] = 
	{ text = "Show Avg. Item Value"; cmnd = "showiv";  help = "Show average item value per Mob";
	info = "The total item value is accumulated and divided\nby the looted counter.\n(does not get shown if item value is 0)" }

MI2_OPTIONS["MI2_OptShowTotal"] = 
	{ text = "Show Total Mob Value"; cmnd = "showtotal";  help = "Show total average Mob value";
	info = "This is the sum of average coin drop and \naverage item value." }

MI2_OPTIONS["MI2_OptShowBlankLines"] = 
	{ text = "Show Blank Lines"; cmnd = "showblanklines";  help = "Show Blank lines in ToolTip";
	info = "Blank lines are meant to improve readability by\ncreating sections in the tooltip" }

MI2_OPTIONS["MI2_OptSaveAllValues"] = 
	{ text = "Always save entire MobInfo data"; cmnd = "saveallvalues";  help = "Always save all Mob data in database";
	info = "Always saving all Mob data allows you to change\nYour display option at any time and have the other\ndata available for showing. If not selected only\nthe data you choose to display will get stored in\nthe database. " }

MI2_OPTIONS["MI2_OptCombinedMode"] = 
	{ text = "Combine Same Mobs"; cmnd = "combinedmode";  help = "Combine data for Mob with same name";
	info = "Combined mode will accumulate the data for Mobs with\nthe same name but different level. When enabled a\nindicator gets displayed in the tooltip" }

MI2_OPTIONS["MI2_OptKeypressMode"] = 
	{ text = "Press ALT Key for Mob Info"; cmnd = "keypressmode";  help = "Only Show MobInfo in tooltip when ALT key is pressed"; }

MI2_OPTIONS["MI2_OptClearOnExit"] = 
	{ text = "Do NOT save MobInfo data permanently"; cmnd = "clearonexit";  help = "Clear entire MobInfo database each time you login";
	info = "This prevents the MobInfo database from constantly growing.\nBeware that this also means you constantly see fresh and rather unreliable data." }

MI2_OPTIONS["MI2_OptSavePlayerHp"] = 
	{ text = "Save player health data permanently"; cmnd = "saveplayerhp";  help = "Permanently store player health data from PvP battles.";
	info = "Normally player health data from PvP fights is discarded after\na session. Setting this option allows you to retain that data." }

MI2_OPTIONS["MI2_OptAllOn"] = 
	{ text = "All ON"; cmnd = "allon";  help = "Switch all MobInfo show options to ON"; }

MI2_OPTIONS["MI2_OptAllOff"] = 
	{ text = "All OFF"; cmnd = "alloff";  help = "Switch all MobInfo show options to OFF"; }

MI2_OPTIONS["MI2_OptMinimal"] = 
	{ text = "Minimal"; cmnd = "minimal";  help = "Show a minimum of useful Mob info"; }

MI2_OPTIONS["MI2_OptDefault"] = 
	{ text = "Default"; cmnd = "default";  help = "Show a default set of useful Mob info"; }

MI2_OPTIONS["MI2_OptBtnDone"] = 
	{ text = "Done"; cmnd = "";  help = "Close MobInfo options dialog"; }

MI2_OPTIONS["MI2_OptStableMax"] = 
	{ text = "Show Stable Health Max"; cmnd = "stablemax";  help = "Show a stable health maximum in target frame";
	info = "When enabled the health maximum displayed in the \nMob target frame is not changed during a fight\nThe updated value is show when the next fight begins."; }

MI2_OPTIONS["MI2_OptTargetHealth"] = 
	{ text = "Show Health Value"; cmnd = "targethealth";  help = "Show health value in target frame"; }

MI2_OPTIONS["MI2_OptTargetMana"] = 
	{ text = "Show Mana Value"; cmnd = "targetmana";  help = "Show mana value in target frame"; }

MI2_OPTIONS["MI2_OptHealthPercent"] = 
	{ text = "Show Percent"; cmnd = "healthpercent";  help = "Add percentage to health in target frame"; }

MI2_OPTIONS["MI2_OptManaPercent"] = 
	{ text = "Show Percent"; cmnd = "manapercent";  help = "Add percentage to mana in target frame"; }

MI2_OPTIONS["MI2_OptHealthPosX"] = 
	{ text = "Horizontal Position"; cmnd = "healthposx";  help = "Adjust horizontal position of health in target frame"; }

MI2_OPTIONS["MI2_OptHealthPosY"] = 
	{ text = "Vertical Position"; cmnd = "healthposy";  help = "Adjust vertical position of health in target frame"; }

MI2_OPTIONS["MI2_OptManaPosX"] = 
	{ text = "Horizontal Position"; cmnd = "manaposx";  help = "Adjust horizontal position of mana in target frame"; }

MI2_OPTIONS["MI2_OptManaPosY"] = 
	{ text = "Vertical Position"; cmnd = "manaposy";  help = "Adjust vertical position of mana in target frame"; }

MI2_OPTIONS["MI2_FontSelect"] = 
	{ text = "Font"; cmnd = "targetfont";  help = "Set font for health/mana values in target frame"; }

MI2_OPTIONS["MI2_OptTargetFontSize"] = 
	{ text = "Font Size"; cmnd = "targetfontsize";  help = "Set font size for health/mana values in target frame"; }

MI2_OPTIONS["MI2_OptClearTarget"] = 
	{ text = "Clear Data for Current Target"; cmnd = "cleartarget";  help = "Remove data for current target from database(s)"; }

MI2_OPTIONS["MI2_OptClearAll"] = 
	{ text = "Clear Entire Database(s)"; cmnd = "clearall";  help = "Remove ALL data from mob info database(s)"; }


MI2_OPTIONS["MI2_MainOptionsFrameTab1"] = 
	{ text = "Mob Tooltip"; cmnd = "";  help = "Set options for displaying mob info in tooltip"; }
MI2_OPTIONS["MI2_MainOptionsFrameTab2"] = 
	{ text = "Mob Health"; cmnd = "";  help = "Set options for displaying health/mana in target frame"; }
MI2_OPTIONS["MI2_MainOptionsFrameTab3"] = 
	{ text = "Database"; cmnd = "";  help = "Database management options"; }
MI2_OPTIONS["MI2_MainOptionsFrameTab4"] = 
	{ text = "Search"; cmnd = "";  help = "Search through the Database"; }

