--[[
	Slash
		This is the slash command handler for Bagnon
--]]

function BagnonSlash_Load()
	SlashCmdList["BagnonCOMMAND"] = BagnonSlash;
	SLASH_BagnonCOMMAND1 = "/bagnon";
	SLASH_BagnonCOMMAND2 = "/bgn";
end

function BagnonSlash(msg)
	local msg = string.lower(msg);
	if(msg == "" or msg == BAGNON_COMMAND_HELP) then
		BagnonSlash_DisplayHelp();
	elseif(msg == BAGNON_COMMAND_SHOWBANK) then
		BagnonCore_Toggle("Banknon");
	elseif(msg == BAGNON_COMMAND_SHOWBAGS) then
		BagnonCore_Toggle("Bagnon");
	elseif(msg == BAGNON_COMMAND_OVERRIDE_BANK) then
		BagnonSets_ToggleBankOverride();
	end
end

function BagnonSlash_DisplayHelp()
	BagnonMsg(BAGNON_HELP_TITLE);
	BagnonMsg(BAGNON_HELP_HELP);
	BagnonMsg(BAGNON_HELP_SHOWBAGS);
	BagnonMsg(BAGNON_HELP_SHOWBANK);
	BagnonMsg(BAGNON_HELP_OVERRIDE_BANK);
end

function BagnonSets_ToggleBankOverride()
	if(BagnonSets.overrideBank == nil) then
		BagnonSets.overrideBank = 1;
		BagnonMsg(BAGNON_BANK_OVERRIDDEN);
	else
		BagnonSets.overrideBank = nil;
		BagnonMsg(BAGNON_BANK_NORMAL);
	end
end