--[[
	Bagnon Localization file
	
	TODO:
		Add some frame strings and other things
		I could probably Babelfish the translation, but most likely it would insult someone's 
			mother or something.
--]]

BAGNON_VERSION = "1316";

--[[
	English - Default Language
--]]

--[[ Keybindings ]]--

BINDING_HEADER_BAGNON = "Bagnon";
BINDING_NAME_BAGNON_TOGGLE = "Toggle Bagnon";
BINDING_NAME_BANKNON_TOGGLE = "Toggle Banknon";

--[[ Slash Commands ]]--

BAGNON_COMMAND_HELP = "help";
BAGNON_COMMAND_SHOWBAGS = "bags";
BAGNON_COMMAND_SHOWBANK = "bank";
BAGNON_COMMAND_REVERSE = "reverse";
BAGNON_COMMAND_OVERRIDE_BANK = "overridebank";

--[[ Messages from the slash commands ]]--

--/bgn help
BAGNON_HELP_TITLE = "Bagnon commands:";
BAGNON_HELP_SHOWBAGS = "/bgn " .. BAGNON_COMMAND_SHOWBAGS .. " - Show/Hide Bagnon.";
BAGNON_HELP_SHOWBANK = "/bgn " .. BAGNON_COMMAND_SHOWBANK .. " - Show/Hide Banknon.";
BAGNON_HELP_OVERRIDE_BANK = "/bgn " .. BAGNON_COMMAND_OVERRIDE_BANK .. " - Toggle the use of the normal bank frame when talking to a NPC.";
BAGNON_HELP_HELP = "/bgn " .. BAGNON_COMMAND_HELP .. " - Display slash commands.";


--/bgn override bank
BAGNON_BANK_OVERRIDDEN = "Banknon will now be opened when you talk to a bank NPC.";
BAGNON_BANK_NORMAL = "The default bank frame will now open whenever you talk to a bank NPC.";

--[[ System Messages ]]--

BAGNON_INITIALIZED = "Bagnon initialized.  Type /bagnon or /bgn for commands";
BAGNON_UPDATED = "Bagnon Settings updated to v" .. BAGNON_VERSION .. ".  Type /bagnon or /bgn for commands";

--[[ UI Text ]]--

--Titles

--These should probably read Inventory of <player> and Bank of <player> in other versions I guess
BAGNON_INVENTORY_TITLE = "%s's Inventory";
BAGNON_BANK_TITLE = "%s's Bank";

--Bag Button
BAGNON_SHOWBAGS = "Show Bags";
BAGNON_HIDEBAGS = "Hide Bags";

--Options Menu
BAGNON_OPTIONS_TITLE = "%s Settings";
BAGNON_OPTIONS_LOCK = "Lock Position";
BAGNON_OPTIONS_OPAQUE = "Use Opaque Background";
BAGNON_OPTIONS_REVERSE = "Reverse Bag Ordering";
BAGNON_OPTIONS_COLUMNS = "Columns";
BAGNON_OPTIONS_SPACING = "Spacing";
BAGNON_OPTIONS_SCALE = "Scale";
BAGNON_OPTIONS_OPACITY = "Opacity";
BAGNON_OPTIONS_STRATA = "Layer";

--[[ Tooltips ]]--

--Title tooltip
BAGNON_TITLE_TOOLTIP = "<Right-Click> to open up the settings menu.";
BAGNON_TITLE_FOREVERTOOLTIP = "<Double-Click> to switch characters.";

--Bag Tooltips
BAGNON_BAGS_HIDE = "<Shift-Click> to hide.";
BAGNON_BAGS_SHOW = "<Shift-Click> to show.";

--[[ Other ]]--

--this should be the sixth return value for a bag from GetItemInfo()
BAGNON_TYPE_BAG = "Bag";


--[[
	German
--]]


if ( GetLocale() == "deDE" ) then
	BAGNON_TYPE_BAG = "Beh\195\164lter";
	return;
end

--[[
	French
--]]

if ( GetLocale() == "frFR" ) then
	BAGNON_TYPE_BAG = "Conteneur";
	return;
end